'****************************************************************************
'  FONT.BAS
'
'  This sample program demonstrates the PGL Fonts.
'****************************************************************************
'$INCLUDE: 'PGL.BAS'

   dfile$="FONT.PLT"

' ****   Font main procedure   ****  
'	
'	Open A Drawing File.
'	
   call pgInitDrw( dfile$, 2000, 2000, ierr% ) 
   if ierr% <> 0 then
      print "Error Opening Drawing File: " + dfile$ + " !"
      goto exitpgm
   endif
   
' Set Font styles and draw 'em.
   call pgSetColor( 1 ) 

   midx%  = pgGetMaxX% / 2 
   call pgSetTextScaling( 5, 1, 5, 1 ) 
   call pgSetTextJustify(  pgCENTER, pgBOTTOM ) 
   call pgDrawTextXY( midx%, 250, "Default Font Set (call pgSMALL)" ) 

   call pgSetTextStyle( pgSIMPLEX ) 
   call pgDrawTextXY( midx%, 500, "Simplex Font Set" ) 

   call pgSetTextStyle( pgDUPLEX ) 
   call pgDrawTextXY( midx%, 750, "Duplex Font Set" ) 

   call pgSetTextStyle( pgTRIPLEX ) 
   call pgDrawTextXY( midx%, 1000, "Triplex Font Set" ) 

   call pgSetTextStyle( pgGOTHIC ) 
   call pgDrawTextXY( midx%, 1250, "Gothic Font Set" ) 

   call pgSetTextStyle( pgSCRIPT ) 
   call pgDrawTextXY( midx%, 1500, "Script Font Set" ) 

   call pgSetTextStyle( pgSDUPLEX ) 
   call pgDrawTextXY( midx%, 1750, "Script Duplex Font Set" ) 

' Close The Drawing File. 
   call pgEndDrw 

exitpgm :
end
